Управление пакетами
   661

ошибка: не удалось обновить DEB_Arch_Extra (неверная или поврежденная база данных(PGP-подпись))

ошибка: DEB_Arch_Extra: signature from "MegaLimited <[email protected]>" is unknown trust
:: Обновление баз данных пакетов...
 core не устарел
 extra не устарел
 community не устарел
 multilib не устарел
 DEB_Arch_Extra          3,1 KiB  0,00   B/s 00:00 [######################] 100%
 DEB_Arch_Extra.sig    181,0   B  0,00   B/s 00:00 [######################] 100%
ошибка: DEB_Arch_Extra: signature from "MegaLimited <[email protected]>" is unknown trust
ошибка: не удалось обновить DEB_Arch_Extra (неверная или поврежденная база данных(PGP-подпись))
ошибка: failed to synchronize all databases


Гугл говорит, нужно ключи обновить:

sudo rm -r /etc/pacman.d/gnupg
sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys


Плохо становится уже на второй команде, ибо всё, что связанно с установкой пакетов ("-S") вызывает ошибку.

6 комментариев

avatar
попробуй сделать так, как я писал здесь manjaro.ru/how-to/oshibka-klyuchey-i-baz-pri-ochen-zapozdalom-obnovlenii-manjaro.html
?
Всегда есть быстрое простое неправильное решение.
быстрые простые правильные (иногда) ответы здесь t.me/manjarolinux
0
avatar
Не сработало.
0
avatar
Решено путём удаления megasync 0_0
+3
avatar
Спасибо, тебе добрый человек, что не оставил проблему без решения.
+1
avatar
Кто бы мог подумать,
Спасибо )
0
avatar
Даже зарегистрировался, чтобы поблагодарить — спасибо! )))
+1
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.